---
references:
- id: AutebertContextfree1997
  accessed:
    - year: 2012
      month: 10
      day: 4
  author:
    - family: Autebert
      given: Jean-Michel
    - family: Berstel
      given: Jean
    - family: Boasson
      given: Luc
  citation-key: AutebertContextfree1997
  container-title: Handbook of formal languages, vol. 1
  editor:
    - family: Rozenberg
      given: Grzegorz
    - family: Salomaa
      given: Arto
  event-place: New York, NY, USA
  ISBN: 3-540-60420-0
  issued:
    - year: 1997
  page: 111-174
  publisher: Springer-Verlag New York, Inc.
  publisher-place: New York, NY, USA
  title: Context-free languages and pushdown automata
  type: chapter
  URL: http://dl.acm.org/citation.cfm?id=267846.267849

- id: BerstelTransductions1990
  accessed:
    - year: 2012
      month: 10
      day: 3
  author:
    - family: Berstel
      given: Jean
    - family: Boasson
      given: Luc
  citation-key: BerstelTransductions1990
  container-title: 'Handbook of Theoretical Computer Science, Vol. A: Algorithms and Complexity'
  editor:
    - family: Leeuwen
      given: J.
      non-dropping-particle: van
    - family: Meyer
      given: Albert R.
    - family: Nivat
      given: M.
    - family: Paterson
      given: Matthew
    - family: Perrin
      given: D.
  issued:
    - year: 1990
      month: 12
      day: 11
  page: 1-278
  title: Transductions and context-free languages
  type: chapter
  URL: http://citeseerx.ist.psu.edu/viewdoc/summary?doi=10.1.1.162.684

- id: BerwickSongs2011
  accessed:
    - year: 2012
      month: 11
      day: 16
  author:
    - family: Berwick
      given: Robert C.
    - family: Okanoya
      given: Kazuo
    - family: Beckers
      given: Gabriel J.L.
    - family: Bolhuis
      given: Johan J.
  citation-key: BerwickSongs2011
  container-title: Trends in Cognitive Sciences
  container-title-short: Trends in Cognitive Sciences
  DOI: 10.1016/j.tics.2011.01.002
  ISSN: 1364-6613
  issue: '3'
  issued:
    - year: 2011
      month: 3
  page: 113-121
  title: 'Songs to syntax: the linguistics of birdsong'
  type: article-journal
  volume: '15'

- id: BolhuisHow2014
  accessed:
    - year: 2014
      month: 8
      day: 31
  author:
    - family: Bolhuis
      given: Johan J.
    - family: Tattersall
      given: Ian
    - family: Chomsky
      given: Noam
    - family: Berwick
      given: Robert C.
  citation-key: BolhuisHow2014
  container-title: PLoS Biol
  container-title-short: PLoS Biol
  DOI: 10.1371/journal.pbio.1001934
  issue: '8'
  issued:
    - year: 2014
      month: 8
      day: 26
  page: e1001934
  title: How Could Language Have Evolved?
  type: article-journal
  volume: '12'

- id: BottouMachine2011
  accessed:
    - year: 2015
      month: 1
      day: 21
  author:
    - family: Bottou
      given: Leon
  citation-key: BottouMachine2011
  container-title: arXiv:1102.1808 [cs]
  issued:
    - year: 2011
      month: 2
      day: 9
  title: From Machine Learning to Machine Reasoning
  type: article-journal
  URL: http://arxiv.org/abs/1102.1808

- id: CanchoLeast2003
  accessed:
    - year: 2014
      month: 7
      day: 5
  author:
    - family: Cancho
      given: Ramon Ferrer
      dropping-particle: i
    - family: Solé
      given: Ricard V.
  citation-key: CanchoLeast2003
  container-title: Proceedings of the National Academy of Sciences
  container-title-short: PNAS
  DOI: 10.1073/pnas.0335980100
  ISSN: 0027-8424, 1091-6490
  issue: '3'
  issued:
    - year: 2003
      month: 4
      day: 2
  language: en
  page: 788-791
  PMID: '12540826'
  title: Least effort and the origins of scaling in human language
  type: article-journal
  volume: '100'

- id: ChristiansenLanguage2008
  author:
    - family: Christiansen
      given: Morten H
    - family: Chater
      given: Nick
  citation-key: ChristiansenLanguage2008
  container-title: Behavioral and Brain Sciences
  DOI: 10.1017/S0140525X08004998
  issued:
    - year: 2008
  page: 489-509
  title: Language as shaped by the brain
  type: article-journal
  volume: '31'

- id: ElmanDistributed1991
  author:
    - family: Elman
      given: Jeffrey L
  citation-key: ElmanDistributed1991
  container-title: Machine Learning
  DOI: 10.1007/BF00114844
  issued:
    - year: 1991
  page: 195-225
  title: >-
    Distributed representations, simple recurrent networks, and grammatical
    structure
  type: article-journal
  volume: '7'

- id: ElmanLanguage1995
  author:
    - family: Elman
      given: Jeffrey L
  citation-key: ElmanLanguage1995
  issued:
    - year: 1995
  page: '195'
  title: Language as a dynamical system
  type: article-journal

- id: ElmanLearning1993
  author:
    - family: Elman
      given: Jeffrey L
  citation-key: ElmanLearning1993
  container-title: Cognition
  DOI: 10.1016/0010-0277(93)90058-4
  issued:
    - year: 1993
  page: 71-99
  title: >-
    Learning and development in neural networks: the importance of starting
    small
  type: article-journal
  volume: '48'

- id: ElmanRethinking1997
  author:
    - family: Elman
      given: Jeffrey L
    - family: Bates
      given: Elizabeth A
    - family: Johnson
      given: Mark H
    - family: Karmiloff-Smith
      given: Annette
    - family: Parisi
      given: Domenico
    - family: Plunkett
      given: Kim
  citation-key: ElmanRethinking1997
  ISBN: 0-262-55030-X
  issued:
    - year: 1997
  publisher: The MIT Press
  title: >-
    Rethinking Innateness: A Connectionist Perspective on Development (Neural
    Networks and Connectionist Modeling)
  type: book

- id: GoldLanguage1967
  accessed:
    - year: 2012
      month: 10
      day: 4
  author:
    - family: Gold
      given: E Mark
  citation-key: GoldLanguage1967
  container-title: Information and Control
  container-title-short: Information and Control
  DOI: 10.1016/S0019-9958(67)91165-5
  ISSN: 0019-9958
  issue: '5'
  issued:
    - year: 1967
      month: 5
  page: 447-474
  title: Language identification in the limit
  type: article-journal
  volume: '10'

- id: GreibachInfinite1969
  accessed:
    - year: 2012
      month: 10
      day: 4
  author:
    - family: Greibach
      given: Sheila A.
  citation-key: GreibachInfinite1969
  container-title: J. ACM
  DOI: 10.1145/321495.321503
  ISSN: 0004-5411
  issue: '1'
  issued:
    - year: 1969
      month: 1
  page: 91-106
  title: An Infinite Hierarchy of Context-Free Languages
  type: article-journal
  URL: http://doi.acm.org/10.1145/321495.321503
  volume: '16'

- id: GreibachUnsolvability1966
  accessed:
    - year: 2012
      month: 10
      day: 4
  author:
    - family: Greibach
      given: Sheila A.
  citation-key: GreibachUnsolvability1966
  container-title: J. ACM
  DOI: 10.1145/321356.321365
  ISSN: 0004-5411
  issue: '4'
  issued:
    - year: 1966
      month: 10
  page: 582-587
  title: The Unsolvability of the Recognition of Linear Context-Free Languages
  type: article-journal
  URL: http://doi.acm.org/10.1145/321356.321365
  volume: '13'

- id: HauserUniversal2016
  author:
    - family: Hauser
      given: Marc
    - family: Watumull
      given: Jeffrey
  citation-key: HauserUniversal2016
  container-title: Journal of Neurolinguistics
  container-title-short: Journal of Neurolinguistics
  DOI: 10.1016/j.jneuroling.2016.10.005
  ISSN: '09116044'
  issued:
    - year: 2016
      month: 11
      day: 1
  page: 78-94
  title: >-
    The Universal Generative Faculty: The source of our expressive power in
    language, mathematics, morality, and music
  type: article-journal
  volume: '43'

- id: HopcroftIntroduction1979
  author:
    - family: Hopcroft
      given: John E.
    - family: Ullman
      given: Jeffrey D.
  citation-key: HopcroftIntroduction1979
  edition: 1st
  ISBN: 0-201-02988-X
  issued:
    - year: 1979
      month: 4
  number-of-pages: '428'
  publisher: Addison-Wesley Publishing Company
  title: Introduction to Automata Theory, Languages and Computation
  type: book

- id: JinCompact2011
  author:
    - family: Jin
      given: Dezhe Z
    - family: Kozhevnikov
      given: Alexay A
  citation-key: JinCompact2011
  container-title: PLoS Comput Biol
  container-title-short: PLoS Comput Biol
  DOI: 10.1371/journal.pcbi.1001108
  issue: '3'
  issued:
    - year: 2011
      month: 3
      day: 17
  page: '-1001108'
  title: A compact statistical model of the song syntax in Bengalese finch
  type: article-journal
  volume: '7'

- id: JinGenerating2009
  author:
    - family: Jin
      given: Dezhe Z
  citation-key: JinGenerating2009
  container-title: Physical Review E
  container-title-short: Phys. Rev. E
  DOI: 10.1103/PhysRevE.80.051902
  issue: '5'
  issued:
    - year: 2009
  page: '051902'
  title: >-
    Generating variable birdsong syllable sequences with branching chain
    networks in avian premotor nucleus HVC
  type: article-journal
  volume: '80'

- id: JohnWBackusSyntax1959
  author:
    - literal: John W Backus
  citation-key: JohnWBackusSyntax1959
  container-title: Proceedings of the International Conference on Information Processing
  event-place: Zürich
  event-title: International Conference on Information Processing
  issued:
    - year: 1959
  publisher: UNESCO
  publisher-place: Zürich
  title: >-
    The  syntax and semantics of the proposed international algebraic language
    of the Zurich ACM-GAMM conference
  type: paper-conference

- id: KirbyLanguage2003
  author:
    - family: Kirby
      given: Simon
  citation-key: KirbyLanguage2003
  ISBN: 0-19-924484-7
  issued:
    - year: 2003
  publisher: Oxford University Press, USA
  title: Language Evolution
  type: book

- id: KirbyLearning1998
  author:
    - family: Kirby
      given: Simon
  citation-key: KirbyLearning1998
  issued:
    - year: 1998
  title: Learning, Bottlenecks and the Evolution of Recursive Syntax
  type: chapter
  URL: >-
    http://www.lel.ed.ac.uk/~simon/Papers/Kirby/Learning,%20Bottlenecks%20and%20the%20Evolution%20of%20Recursive%20Syntax.pdf

- id: KoshibaInferring1997
  author:
    - family: Koshiba
      given: Takeshi
    - family: Mäkinen
      given: Erkki
    - family: Takada
      given: Yuji
  citation-key: KoshibaInferring1997
  container-title: ACTA CYBERNETICA
  issued:
    - year: 1997
  page: 469-477
  title: Inferring Pure Context-Free Languages from Positive Data
  type: article-journal
  volume: '14'

- id: ManningProbabilistic2002
  author:
    - family: Manning
      given: Christopher D
  citation-key: ManningProbabilistic2002
  container-title: Probabilistic linguistics
  contributor:
    - family: Bod
      given: Rens
    - family: Hay
      given: Jennifer
    - family: JAnnedy
      given: Stefanie
  issued:
    - year: 2002
  page: 289-341
  publisher: 'Cambridge, MA: MIT Press'
  title: Probabilistic syntax
  type: chapter

- id: McclellandLetting2010
  author:
    - family: Mcclelland
      given: James L
    - family: Botvinick
      given: Matthew M
    - family: Noelle
      given: David C
    - family: Plaut
      given: David C
    - family: Rogers
      given: Timothy T
    - family: Seidenberg
      given: Mark S
    - family: Smith
      given: Linda B
  citation-key: McclellandLetting2010
  container-title: Trends in Cognitive Sciences
  DOI: 10.1016/j.tics.2010.06.002
  issue: '8'
  issued:
    - year: 2010
  page: 348-356
  title: >-
    Letting structure emerge: connectionist and dynamical systems approaches to
    cognition
  type: article-journal
  volume: '14'

- id: PeterssonWhat2012
  accessed:
    - year: 2014
      month: 9
      day: 24
  author:
    - family: Petersson
      given: Karl-Magnus
    - family: Folia
      given: Vasiliki
    - family: Hagoort
      given: Peter
  citation-key: PeterssonWhat2012
  collection-title: The Neurobiology of Syntax
  container-title: Brain and Language
  container-title-short: Brain and Language
  DOI: 10.1016/j.bandl.2010.08.003
  ISSN: 0093-934X
  issue: '2'
  issued:
    - year: 2012
      month: 2
  page: 83-95
  title: What artificial grammar learning reveals about the neurobiology of syntax
  type: article-journal
  volume: '120'

- id: PullumNatural1982
  author:
    - family: Pullum
      given: Geoffrey K
    - family: Gazdar
      given: Gerald
  citation-key: PullumNatural1982
  container-title: Linguistics and Philosophy
  issue: '4'
  issued:
    - year: 1982
  page: 471-504
  title: Natural Languages and Context-Free Languages
  type: article-journal
  volume: '4'

- id: ShieberEvidence1987
  accessed:
    - year: 2013
      month: 10
      day: 7
  author:
    - family: Shieber
      given: Stuart M.
  citation-key: ShieberEvidence1987
  collection-number: '33'
  collection-title: Studies in Linguistics and Philosophy
  container-title: The Formal Complexity of Natural Language
  editor:
    - family: Savitch
      given: Walter J.
    - family: Bach
      given: Emmon
    - family: Marsh
      given: William
    - family: Safran-Naveh
      given: Gila
  ISBN: 978-1-55608-047-0 978-94-009-3401-6
  issued:
    - year: 1987
      month: 1
      day: 1
  language: en
  page: 320-334
  publisher: Springer Netherlands
  title: Evidence Against the Context-Freeness of Natural Language
  type: chapter
  URL: http://link.springer.com/chapter/10.1007/978-94-009-3401-6_12

- id: SmithCultural2008
  author:
    - family: Smith
      given: Kenny
    - family: Kirby
      given: Simon
  citation-key: SmithCultural2008
  container-title: 'Philosophical Transactions of the Royal Society B: Biological Sciences'
  DOI: 10.1098/rstb.2008.0145
  issued:
    - year: 2008
  page: 3591-3603
  title: >-
    Cultural evolution: implications for understanding the human language
    faculty and its evolution
  type: article-journal
  volume: '363'

- id: WolffSyntax2000
  author:
    - family: Wolff
      given: J Gerard
  citation-key: WolffSyntax2000
  container-title: Journal of Universal Computer Science
  issue: '8'
  issued:
    - year: 2000
  page: 781-829
  title: >-
    Syntax, parsing and production of natural language in a framework of
    information compression by multiple alignment, unification and search
  type: article-journal
  volume: '6'
...
